# Uses of Interface
org.springframework.beans.factory.parsing.ComponentDefinition

Packages that use ComponentDefinition
Package
Description
org.springframework.beans.factory.parsing
Support infrastructure for bean definition parsing.
org.springframework.beans.factory.xml
Contains an abstract XML-based `BeanFactory` implementation, including a standard "spring-beans" XSD.

## Uses of ComponentDefinition in org.springframework.beans.factory.parsing

Classes in org.springframework.beans.factory.parsing that implement ComponentDefinition
Modifier and Type
Class
Description
`class`
`AbstractComponentDefinition`
Base implementation of `ComponentDefinition` that provides a basic implementation of `AbstractComponentDefinition.getDescription()` which delegates to `getName()`.
`class`
`BeanComponentDefinition`
ComponentDefinition based on a standard BeanDefinition, exposing the given bean definition as well as inner bean definitions and bean references for the given bean.
`class`
`CompositeComponentDefinition`
`ComponentDefinition` implementation that holds one or more nested `ComponentDefinition` instances, aggregating them into a named group of components.
Methods in org.springframework.beans.factory.parsing that return ComponentDefinition
Modifier and Type
Method
Description
`ComponentDefinition[]`
CompositeComponentDefinition.`getNestedComponents()`
Return the nested components that this composite component holds.
Methods in org.springframework.beans.factory.parsing with parameters of type ComponentDefinition
Modifier and Type
Method
Description
`void`
CompositeComponentDefinition.`addNestedComponent(ComponentDefinition component)`
Add the given component as nested element of this composite component.
`void`
EmptyReaderEventListener.`componentRegistered(ComponentDefinition componentDefinition)`
`void`
ReaderEventListener.`componentRegistered(ComponentDefinition componentDefinition)`
Notification that the given component has been registered.
`void`
ReaderContext.`fireComponentRegistered(ComponentDefinition componentDefinition)`
Fire a component-registered event.

## Uses of ComponentDefinition in org.springframework.beans.factory.xml

Methods in org.springframework.beans.factory.xml with parameters of type ComponentDefinition
Modifier and Type
Method
Description
`void`
ParserContext.`registerComponent(ComponentDefinition component)`